<template>
  <div>
    <el-input placeholder="请选择适用地点" :value="buildingName" disabled>
      <el-button slot="append" icon="el-icon-thumb" @click="handleBuilding"></el-button>
    </el-input>
    <el-dialog title="建筑单元" :visible.sync="open" width="800px" :append-to-body="true" :destroy-on-close="true">
      <building-form @choice="choice"></building-form>
    </el-dialog>
  </div>
</template>

<script>
import buildingForm from './form'

export default {
  name: "BuildInput",
  components: {
    buildingForm
  },
  model: {
    prop: 'value',
    event: 'change'
  },
  props: {
    value: {
      type: [Number],
      default: undefined
    },
  },
  data() {
    return {
      message: undefined,
      open: false,
      buildingName: ''
    }
  },
  methods: {
    // 选择建筑单元
    handleBuilding() {
      this.open = true;
    },
    // 选中建筑单元
    choice(r) {
      this.buildingName = r.name;
      this.open = false;
      this.$emit("change", r.id);
    }
  }
}
</script>

<style scoped>

</style>